Bug 1470636 - Tag assignment: 'Reset' button doesn't work for vms, templates
Tag assignment: 'Reset' button doesn't work for vms, templates
Status: ON_QA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.8.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.10.0
Assigned To: Hilda Stastna
Ruslana Babyuk
ui:tag
: Regression, TestOnly
: 1486757 1540247 (view as bug list)
Depends On:
Blocks: 1541427 1541175
  Show dependency treegraph
 
Reported: 2017-07-13 06:59 EDT by Ruslana Babyuk
Modified: 2018-06-14 14:58 EDT (History)
11 users (show)

See Also:
Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1541175 1541427 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: Bug
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core


Attachments (Terms of Use)
reset_log (deleted)
2017-07-13 06:59 EDT, Ruslana Babyuk
no flags Details
updated_log_file (6.12 KB, text/plain)
2018-01-31 05:36 EST, Ruslana Babyuk
no flags Details

  None (edit)
Description Ruslana Babyuk 2017-07-13 06:59:33 EDT
Description of problem: 'Reset' button doesn't work on Tag assignment page


Version-Release number of selected component (if applicable):
5.8, 5.8.1

How reproducible:
100%

Steps to Reproduce:
1. Add provider(cloud, infra)
2. Navigate to instance/vm detail page 
3. Policy-> Edit Tags
4. Set any tag values
5. Click 'Reset' button 

Actual results:
Nothing happened, please check log file

Expected results:
Newly set tag should be deleted

Additional info:
The same case works for cloud images and templates
Comment 4 Ruslana Babyuk 2017-09-21 11:43:55 EDT
*** Bug 1486757 has been marked as a duplicate of this bug. ***
Comment 7 Ruslana Babyuk 2018-01-31 05:36 EST
Created attachment 1388891 [details]
updated_log_file
Comment 8 Hilda Stastna 2018-01-31 05:52:31 EST
*** Bug 1540247 has been marked as a duplicate of this bug. ***
Comment 11 CFME Bot 2018-02-01 14:22:30 EST
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/e53812cbedc27a033739d74530715e357c7c41dd

commit e53812cbedc27a033739d74530715e357c7c41dd
Author:     Hilda Stastna <hstastna@redhat.com>
AuthorDate: Wed Jan 31 15:29:48 2018 +0100
Commit:     Hilda Stastna <hstastna@redhat.com>
CommitDate: Thu Feb 1 15:30:31 2018 +0100

    Fix Reset button when tagging VMs, Templates, Instances, Images
    
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1470636
    
    Fix Reset button when tagging VMs, Templates, Instances, Images
    in Compute > Clouds > Instances or Compute > Infrastructure >
    Virtual Machines page.

 app/controllers/application_controller/tags.rb | 1 +
 1 file changed, 1 insertion(+)

Note You need to log in before you can comment on or make changes to this bug.